%define name superkaramba
%define version 0.36
%define rel 1
%define release	%{rel}.%{distsuffix}%{distversion}

%define libname %mklibname %{name} 0
%define tmonver	1.3

%define subrel 1
#%{?!distversion:%define distversion %(echo $[%{mdkversion}/10])}
#%{?!distsuffix:%define distsuffix mdk}
#%define release %{rel}%{distsuffix}
%ifarch i586
#%{?!_with_unstable: %define release %(echo $[%rel-1].%{subrel}.%{distsuffix}%{distversion})}
#%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building a package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 4)}
%endif

Summary:	Program that can display a lot of various information right on your desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
#Url:		http://www.efd.lth.se/~d98hk/karamba/	
Url:		http://netdragon.sourceforge.net
Group:		Graphical desktop/KDE 
Source0:	http://ovh.dl.sourceforge.net/sourceforge/netdragon/%{name}-%{version}.tar.bz2
Source1:	http://www.efd.lth.se/~d98hk/karamba/karamba_test.tar.bz2
Source2:	http://www.efd.lth.se/~d98hk/karamba/scripts/scripts.tar.bz2
Source3:	%{name}.sh
Source4:	noatun.theme
Source5:	default.theme
Source6:	mandrakesecure.theme
Source7:	mandrakesecure.png
Source8:	%{name}-profile.sh
Source9:	%{name}-profile.csh
Source10:	6977-tmon-%{tmonver}.tar.gz
#Source5:	karambarc
Patch1:		%{name}-startdir2.patch.bz2
Patch2:         %{name}-kde3.4.patch.bz2
Patch3:		superkaramba-0.36-lib64.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	kdelibs-devel png-devel jpeg-devel
BuildRequires:	fam-devel libart_lgpl-devel libarts-devel
BuildRequires:	xmms-devel
BuildRequires:	python-devel
Requires:	xmmsctrl perl-libwww-perl perl-HTML-Parser

%description
Karamba is a KDE program that can display a lot of various information
right on your desktop. Karamba uses the same "fake" transparency effect 
that e.g., Konsole can use. For the autor this is not a big problem as the 
purpose of Karamba is sit on the background. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup  -q -a 1 -a 2 -a 10
#pushd src
#popd
%patch1 -p1 -b .mdk2
%patch2 -p1 -b .kde3.2
%patch3 -p1 -b .lib64

make -f admin/Makefile.common

%build
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif

./configure --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug \
            --enable-mt \
            --enable-shared \
            --disable-static \
            --disable-objprelink \
            --with-pic \
            --with-gnu-ld \
            --disable-rpath \
            --disable-embedded \
            --enable-fast-install=yes \
            --with-qt-dir=/usr/lib/qt3 \
            --disable-warnings \

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d -m 755 %{buildroot}/%{_menudir}
install -d -m 755 %{buildroot}/{%{_miconsdir},%{_liconsdir}}
mv %{buildroot}/%{_bindir}/%{name} %{buildroot}/%{_bindir}/%{name}.real
mv $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/karamba.desktop $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/%{name}.desktop

#Fix the menu to launch with our default theme:
perl -pi -e 's,^Exec=superkaramba,Exec=superkaramba %{_datadir}/apps/%{name}/themes/default.theme,g;s,^Icon=clanbomber,Icon=%{name},g' $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/%{name}.desktop

install -m 755 %{SOURCE3} %{buildroot}/%{_bindir}/%{name}
kdedesktop2mdkmenu.pl %{name} Applications/Monitoring $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -m 644 src/lo16-app-karamba.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 src/lo32-app-karamba.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 src/lo32-app-karamba.png %{buildroot}%{_liconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/themes/
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/themes/pics/
install -d -m 755 %{buildroot}/%{_datadir}/apps/%{name}/scripts/
install -d -m 755 %{buildroot}/%{_sysconfdir}/profile.d
install -m 644 karamba_test/*.theme %{buildroot}/%{_datadir}/apps/%{name}/themes/
install -m 644 karamba_test/pics/* %{buildroot}/%{_datadir}/apps/%{name}/themes/pics/
install -m 755 scripts/* %{buildroot}/%{_datadir}/apps/%{name}/scripts/
install -m 644 %{SOURCE4} %{buildroot}/%{_datadir}/apps/%{name}/themes/
install -m 644 %{SOURCE5} %{buildroot}/%{_datadir}/apps/%{name}/themes/
mkdir -p %{buildroot}/%{_datadir}/apps/%{name}/themes/mandrakesecure/pics
install -m 644 %{SOURCE6} %{buildroot}/%{_datadir}/apps/%{name}/themes/mandrakesecure
install -m 644 %{SOURCE7} %{buildroot}/%{_datadir}/apps/%{name}/themes/mandrakesecure/pics
install -m 644 %{SOURCE8} %{buildroot}/%{_sysconfdir}/profile.d/%{name}.sh
install -m 644 %{SOURCE9} %{buildroot}/%{_sysconfdir}/profile.d/%{name}.csh

install -m 755 -d %{buildroot}/%{_datadir}/apps/%{name}/themes/tmon/image
install tmon-%{tmonver}/image/*.png %{buildroot}/%{_datadir}/apps/%{name}/themes/tmon/image
install tmon-%{tmonver}/tmon-%{tmonver}_liquid.theme %{buildroot}/%{_datadir}/apps/%{name}/themes/tmon/tmon_liquid.theme
install tmon-%{tmonver}/tmon-%{tmonver}_keramik.theme %{buildroot}/%{_datadir}/apps/%{name}/themes/tmon/tmon_keramik.theme
perl -pi -e 's/Y=200/Y=268/g;s/X=500/X=790/g' %{buildroot}/%{_datadir}/apps/%{name}/themes/tmon/tmon_liquid.theme

cp -a examples/{taskBar/cleanbar,popupMenu,autoHide,richtext,unicode,globalMouse} %{buildroot}/%{_datadir}/apps/%{name}/themes/

#mkdir -p %{buildroot}/%{_datadir}/config
#install -m644 %{SOURCE5} %{buildroot}/%{_datadir}/config

#remove some files we don't want:
find %{buildroot} -type d -name '.xvpics'|xargs rm -Rf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING examples/template.py
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%config(noreplace) %{_datadir}/apps/superkaramba/themes/default.theme
%{_docdir}/HTML/*/karamba/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/profile.d/%{name}*

%changelog
* Mon Jun 06 2005 Benjamin Lisci <benjamin@lisci.de> 0.36-1bli
- rebuild for 2005LE

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.36-1mdk
- 0.36
	- Removed all the compile warnings.
	- Update superkaramba to check for Python2.4
	- Update so that automake up through version 1.9.x 
             can generate configure/Makefile scripts.
	- Convert from UCS4 to UCS2 if python uses 4 byte unicode chars
	- ...and more optimization and bug fixes

- Drop Patch   0 ( was rediff but not del )
- Rediff Patch 1
- Rediff Patch 2
- Rediff Patch 3
- Drop Patch   4 ( Merged Upstream )

* Wed Feb 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.35-4mdk
- lib64 fixes

* Wed Dec 12 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.35-3mdk
- rebuild for python (with fix from jarfil@jarfil.net)
- distro specific release tag

* Sat Nov 27 2004 Michael Scherer <misc@mandrake.org> 0.35-2mdk
- Fix BuildRequires
- Remove unused macro ( %%pyver )

* Wed Nov 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.35-1mdk
- 0.35

* Tue Jul 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.34-1mdk
- from John Elliott Martin <elliott@pdx.edu> :
	- 0.34

* Tue Jun 15 2004 Buchan Milne <bgmilne@linux-mandrake.com>0.33-3mdk
- rebuild

* Wed Apr 07 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.33-2mdk
- Update to put it on ftps again :)

* Sun Feb 29 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.33-1mdk
- Update to 0.33
- Make a patch for kde 3.2(superkaramba always on top)

* Fri Sep 19 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-2mdk
- Fixed default theme, mandrakesecure theme background, include tmon

* Sat Sep 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.32b-1mdk
- 0.32b (compiles with python-2.3)
- New default theme (with mandrakesecure theme and two examples)
- Put menus back
- Add scripts in profile.d to ensure path is set for restored session
- When opening a new theme, start in system theme directory (p1)

* Wed Aug 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.31-1mdk
- Superkaramba 0.31

* Sun Aug 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.22-1mdk
- 0.22
- hackish patch to make it build (P1), may break track names on oggs
- set theme path and default theme by karambarc file (copied by script)

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.17-4mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.17-3mdk
- buildrequires

* Thu Apr 17 2003 Laurent Culioli <laurent@pschit.net> 0.17-2mdk
- Buildrequires

* Wed Apr 16 2003 Laurent Culioli <laurent@pschit.net> 0.17-1mdk
- 0.17

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.15-1mdk
- 0.15

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-2mdk
- fix wrapper

* Thu Apr 03 2003 Laurent Culioli <laurent@pschit.net> 0.12-1mdk
- initial package
- add wrapper to setup scripts
- patch0 : add startdir
- noatun.theme contributed by Shift \o/
